<template>
  <div>
    <q-btn v-if="userStore.userData !== null" color="info">
      <q-avatar size="26px">
        <img src="https://cdn.quasar.dev/img/boy-avatar.png">
      </q-avatar>
      <q-menu>
        <div class="row no-wrap q-pa-md">
          <div class="column items-center">
            <q-avatar size="72px">
              <img src="https://cdn.quasar.dev/img/avatar4.jpg">
            </q-avatar>
            <div class="text-subtitle1 q-mt-md q-mb-xs">{{ userStore.userData.username }}</div>
          </div>

          <q-separator vertical inset class="q-mx-lg" />

          <div class="column">
            <q-btn v-close-popup color="secondary" label="Settings" push to="/user" size="sm" />
            <q-btn v-close-popup color="warning" label="Logout" push size="sm" @click="logout" />
          </div>


        </div>
      </q-menu>
    </q-btn>
    <q-btn v-if="userStore.userData === null" href="api/accounts/nextcloud/login/" color="purple" label="Login">
<!--      <q-menu>-->
<!--        <div class="row no-wrap q-pa-md">-->
<!--          <div class="column">-->
<!--            <div class="text-h6 q-mb-md">Settings</div>-->

<!--            <q-form v-if="userStore.userData === null" class="q-gutter-md" @submit="onSubmit">-->
<!--              <q-input v-model="username" filled label="Username *" hint="username" lazy-rules-->
<!--                :rules="[val => val && val.length > 0 || 'Please type something']" />-->

<!--              <q-input v-model="password" filled type="password" label="Password *" lazy-rules :rules="[-->
<!--                val => val !== null && val !== '' || 'Please type your password',-->
<!--              ]" />-->

<!--              <div>-->
<!--                <q-btn label="Submit" type="submit" color="primary" />-->
<!--              </div>-->
<!--            </q-form>-->
<!--          </div>-->
<!--        </div>-->

<!--      </q-menu>-->
    </q-btn>

  </div>
</template>

<script>
import { ref } from 'vue';
import { useUserStore } from 'stores/user';

export default {
  setup() {
    const username = ref('');
    const password = ref('');

    const userStore = useUserStore();

    async function onSubmit() {
      await userStore.login(username.value, password.value);
      await userStore.loadUserData();
    };

    async function logout() {
      userStore.logout();
    };

    return {
      userStore,
      username,
      password,
      onSubmit,
      logout,
    };
  },
  async mounted() {
    await this.userStore.loadUserData();
  }
}
</script>

<style lang="sass" scoped>
</style>
